升级

/!\ 在读这个升级指南之前,请主意升级你的生产服务器你自己承担风险。 在适用法律范围之内,Debian Edu/Skolelinux 完全没有担保。

尝试升级之前请完整阅读本章。

一般的升级说明

从 Debian 的一个发布版升级到下一个一般比较容易。这对 Debian Edu 遗憾尚不能这样,在不应是我们范围内我们承担修正配置文件。(更多信息参看 Debian bug 311188 。)升级仍然可以做到,但应该需要一些工作。

一般,服务器升级比工作站困难,而且主服务器最难于升级。无盘机器容易,作为它们的 chroot 环境如果你没有修改过它,可以删除并重建。如果你有,至少这个 chroot 基本上是工作站 chroot,那么比较容易升级。

如果你想在升级之后一切都能工作,那么之前你应当在测试系统或者如同你的生产机器一样方法配置成的系统上测试。那你可以无风险测试升级并看到它是否一切可以工作。

保证也阅读当前 Debian 稳定版发布的 安装手册 中的相关信息。

有数周长的时间等待和保持运行旧稳定版也是明智的,那样其他人可以测试升级并提供他们实验的任何难题的文档。Debian Edu 旧的稳定发布版在下一个稳定版发布之后将得到延续一段时间的支持,但当 Debian 停止对旧稳定版支持 时,Debian Edu 将必然相同。

从 Debian Edu Squeeze 升级

/!\ 做好准备:确保你在一个测试环境从 Squeeze 测试升级或者已经有能够恢复的备份。

基本升级操作

  1. 编辑 /etc/apt/sources.list 并以 "wheezy" 替换所有 "squeeze" 之处。

  2. 运行 apt-get update

  3. 运行 apt-get upgrade

  4. 运行 apt-get dist-upgrade

LDAP 服务器需要重新配置

FIXME: this needs to be updated for squeeze2wheezy. afaik not much changed

LDAP 设置从 Lenny 到 Squeeze 有大量变化。现在对于用户账户,密码,网络设置,服务和机器是不一样的对待。如此从零开始重建 LDAP 。这里的一个脚本 ldap-debian-edu-install (在 /usr/bin 中)将用于完成这个。做任何事之前仔细阅读这个脚本开始部分的内容。

重建一个 LTSP chroot

在 LTSP 服务器上的 LTSP chroot 应当重建,新 chroot 将自动支持瘦客户机和无盘工作站这两者。

移除 /opt/ltsp/i386 (或 /opt/ltsp/amd64,视你的设置而定)。如果你有充足的磁盘空间,考虑备份它。

作为 root 帐户运行 debian-edu-ltsp 来重建 chroot。

当然你也可以像往常一样升级 chroot。

从旧版 Debian Edu / Skolelinux 安装 (Squeeze 之前) 升级

从任何旧版本升级,你可以按照上文提供的讲解做之前,你首先将需要升级到基于 Squeeze 的 Debian Edu 发布版。在 Debian Edu Squeeze 手册 给予讲述如何从先前的发布版升级到 Squeeze, Lenny 和 Lenny 手册适用于它之前!(它的名称是 Etch。)

CategoryPermalink